#!/bin/bash

korp_cmds=("./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.pdb --weighted > outputs/10gs_korp_weighted_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.mol2 --mol2 --weighted > outputs/10gs_mol2_korp_weighted_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.sdf --sdf --weighted > outputs/10gs_sdf_korp_weighted_loc.txt"
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_decoys.mol2 --mol2 --weighted > outputs/10gs_decoy_mol2_korp_weighted_loc.txt" \
           "./KORP-PL --receptor 3udh_protein.pdb --ligand 3udh_decoys.mol2 --mol2 --weighted > outputs/3udh_decoy_mol2_korp_weighted_loc.txt" \
           "./KORP-PL --receptor 3udh_protein.pdb --ligand 3udh_ligand.mol2 --mol2 --weighted > outputs/3udh_mol2_korp_weighted_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.pdb > outputs/10gs_korp_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.mol2 --mol2 > outputs/10gs_mol2_korp_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_ligand.sdf --sdf > outputs/10gs_sdf_korp_loc.txt" \
           "./KORP-PL --receptor 10gs_protein.pdb --ligand 10gs_decoys.mol2 --mol2 > outputs/10gs_decoy_mol2_korp_loc.txt" \
           "./KORP-PL --receptor 3udh_protein.pdb --ligand 3udh_decoys.mol2 --mol2 > outputs/3udh_decoy_mol2_korp_loc.txt" \
           "./KORP-PL --receptor 3udh_protein.pdb --ligand 3udh_ligand.mol2 --mol2 > outputs/3udh_mol2_korp_loc.txt")

diff_cmds=("diff outputs/3udh_decoy_mol2_korp_weighted.txt outputs/3udh_decoy_mol2_korp_weighted_loc.txt" \
           "diff outputs/10gs_korp_weighted.txt outputs/10gs_korp_weighted_loc.txt" \
           "diff outputs/10gs_mol2_korp_weighted.txt outputs/10gs_mol2_korp_weighted_loc.txt" \
           "diff outputs/10gs_mol2_korp.txt outputs/10gs_mol2_korp_loc.txt" \
           "diff outputs/10gs_korp.txt outputs/10gs_korp_loc.txt" \
           "diff outputs/3udh_mol2_korp_weighted.txt outputs/3udh_mol2_korp_weighted_loc.txt" \
           "diff outputs/10gs_sdf_korp.txt outputs/10gs_sdf_korp_loc.txt" \
           "diff outputs/3udh_decoy_mol2_korp.txt outputs/3udh_decoy_mol2_korp_loc.txt" \
           "diff outputs/10gs_decoy_mol2_korp_weighted.txt outputs/10gs_decoy_mol2_korp_weighted_loc.txt" \
           "diff outputs/10gs_decoy_mol2_korp.txt outputs/10gs_decoy_mol2_korp_loc.txt" \
           "diff outputs/10gs_sdf_korp_weighted.txt outputs/10gs_sdf_korp_weighted_loc.txt" \
           "diff outputs/3udh_mol2_korp.txt outputs/3udh_mol2_korp_loc.txt")
             
for ((i = 0; i < ${#korp_cmds[@]}; i++)); do
    echo ${korp_cmds[$i]}; eval ${korp_cmds[$i]}
done

for ((i = 0; i < ${#diff_cmds[@]}; i++)); do
    echo ${diff_cmds[$i]}; eval ${diff_cmds[$i]}
done
